﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="BulkLoadNotFoundUrls.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.BulkLoadNotFoundUrls, Mogul.SeoManager" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <title><%= ViewModel.Heading %></title>
        <script type="text/javascript" src="js/libs/jquery-1.9.1.min.js"></script>
        <link rel="stylesheet" href="css/style.css?v=1.15" />
	    <script type="text/javascript">
	        function browse() {
	            $('.uploadBrowse').trigger('click');
	        }
	        $(function () {
	            $('.uploadBrowse').change(function () {
	                $('span.filename').html($(this).val());
	            });
	        });
        </script>
        <style type="text/css">
           .custom-file-upload {
	            margin-right: 10px;
           }
        </style>
    </head>
    <body id="edit-modal">
        <form id="form1" runat="server" EnableViewState="true">
            <div class="modal">
                <h3><%= ViewModel.Heading %></h3>
                <hr/>
                <asp:MultiView runat="server" ID="uploadMultiView" ActiveViewIndex="0">
                    <asp:View runat="server" ID="uploadView">
                        <div class="filter">
			    <label class="custom-file-upload" title="<%= ViewModel.SelectFileText %>">
				    <asp:FileUpload CssClass="uploadBrowse" ID="fileUploadControl" ClientIDMode="Static" runat="server" style="position:absolute; top:-100px" />
    				    <%= ViewModel.SelectFileText %>
			    </label>
                            <span class="filename smaller"><%= ViewModel.NoFileSelectedText%></span>
                        </div>
                        <hr/>
                        <div class="filter">
                            <asp:Button ID="uploadFileButton" CssClass="uFB" runat="server" OnClick="uploadFileButton_OnClick" />&nbsp;&nbsp;
                            <p><span class="smaller"><%=ViewModel.DuplicatedUrlsWarning %></span></p>
                            <asp:Label runat="server" ID="errorMessageLabel" CssClass="smaller" />
                            <asp:PlaceHolder runat="server" ID="filesPlaceHolder" Visible="False">
                                <br /><br /><br />
                                <pre class="smaller">URL,
                                    http://www.site.com/myold301url-1,
                                    http://www.site.com/myold301url-2,
                                    http://www.site.com/myold301url-3?qsvalue=hmmmmm
                                </pre>
                                <br />
                                <pre class="smaller">"Address",
                                    "http://www.site.com/myold301url-1"
                                </pre>
                                <br />
                                <pre class="smaller">URLS,
                                    http://www.site.com/myold301url-1
                                </pre>
                            </asp:PlaceHolder>
					    </div>
                    </asp:View>
                    <asp:View runat="server" ID="commitView">
                        <div class="urlsContainer">
                            <asp:GridView runat="server" AutoGenerateColumns="False" ID="fileGridView">
                                <Columns>
                                    <asp:BoundField DataField="RequestUrl" HeaderText="URLs" />
                                </Columns>
                            </asp:GridView>
                        </div>
                        <hr/>
                        <div class="filter">
                            <asp:Button runat="server" ID="commitFileImport" OnClick="commitFileImport_OnClick"/>&nbsp;
                            <asp:Label ForeColor="Red" ID="lblWarning" Font-Size="12px" runat="server" />
                        </div>
                    </asp:View>
                    <asp:View runat="server" ID="successView">
                        <div class="filter">
                            <p class="successMessage"><%= ViewModel.ImportSuccess %></p>
                        </div>
                    </asp:View>
                </asp:MultiView>
            </div>
        </form>
    </body>
</html>