﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CustomUrls.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.CustomUrls, Mogul.SeoManager" MasterPageFile="" %>
<%@ Import Namespace="Mogul.SeoManager.Logic.Common" %>
<%@ Import Namespace="Mogul.SeoManager.Logic.Data" %>
<%@ Import Namespace="Mogul.SeoManager.modules.MogulSeoUrl" %>
<%@ Register Src="UserControls/HeaderRegion.ascx" TagName="HeaderRegion" TagPrefix="uc" %>
<%@ Register Src="UserControls/Header.ascx" TagName="Header" TagPrefix="uc" %>
<%@ Register Src="UserControls/TabNavigation.ascx" TagName="TabNavigation" TagPrefix="uc" %>
<%@ Register tagPrefix="EPiServerUI" namespace="EPiServer.UI.WebControls" assembly="EPiServer.UI" %>

<asp:content contentplaceholderid="HeaderContentRegion" runat="server">
    <uc:HeaderRegion ID="HeaderRegionControl" runat="server"/>
</asp:content>

<asp:content id="ContentMainRegion" contentplaceholderid="FullRegion" runat="server">
    <uc:Header ID="headerControl" runat="server"/>

    <div role="main" class="main">
        <uc:TabNavigation ID="tabNavigationControl" runat="server" />
        <div id="content">
            <section id="urlmanagement">
                <div class="filter floatLeft">
		            <div class="floatLeft">
                       <asp:DropDownList ID="ddFilterLanguages" OnSelectedIndexChanged="ddLanguages_SelectedIndexChanged" AutoPostBack="True" CssClass="episize180" runat="server"/>  
                       <span class="separator">&nbsp;&nbsp;</span>
                       <asp:DropDownList ID="ddlCustomURL" runat="server" OnSelectedIndexChanged="ddlCustomURL_OnSelectedIndexChanged" CssClass="episize180" AutoPostBack="true"/>
                       <span class="separator">&nbsp;&nbsp;</span> 
                       <asp:Textbox ID="txtFilter" CssClass="long" runat="server" />
                       <div class="divDel">
                          <asp:Button ID="btnDeleteAll" OnClick="btnDeleteAll_Click" runat="server" />
                          <span class="separator">&nbsp;&nbsp;</span>
                          <asp:Button ID="btnDeleteAllLanguage" OnClick="btnDeleteAllLanguage_Click" runat="server" />
                       </div>
                    </div>
                    <div class="floatLeft">
                       <asp:Button ID="btnFilter" runat="server" OnClick="btnFilter_OnClick" />
                       <span class="separator">&nbsp;&nbsp;</span>
                       <a href="EditCustomAddress.aspx?urlid=0&pn=<%= Request.QueryString["pn"] %>" class="addbutton" title="<%= ViewModel.ButtonAddUrlsText%>"><%= ViewModel.ButtonAddUrlsText%></a>
                       <span class="separator">&nbsp;&nbsp;</span>
                       <a href="BulkLoadNotFoundUrls.aspx?pn=<%= Request.QueryString["pn"] %>" id="bulkLoadUrlsButton" class="mogul-button" title="<%= ViewModel.BulkLoadUrlsText %>"><%= ViewModel.BulkLoadUrlsText %></a>
                       <div class="divDel">
                            <a href="LoadNotFoundUrlsFromGoogle.aspx?pn=<%= Request.QueryString["pn"] %>" id="loadUrlsFromGoogleButton" class="mogul-button" title="<%= ViewModel.LoadUrlsFromGoogleText %>"><%= ViewModel.LoadUrlsFromGoogleText %></a>
                       </div>
                    </div>
                </div>
                <table class="seoTabList editable" cellspacing="0" cellpadding="0">
                    <tr>
                        <th><%= ViewModel.HeadingAllUrls %></th>
                        <th><%= ViewModel.HeadingRedirectingTo %></th>
                        <th class="language"><%= ViewModel.HeadingLanguage %></th>
                        <th class="edit"><%= ViewModel.HeadingEdit %></th>
                        <th class="edit"><%= ViewModel.HeadingDelete %></th>
                        <th class="tdDC">
			                <asp:Button ID="btnDeleteChecked" runat="server" OnClick="btnDeleteChecked_Click" CssClass="btnCDel" Text="" />
                            <input type="checkbox" class="allCB" name="allCB" title="<%= ViewModel.CheckAll %>"  />
                        </th>
                    </tr> 
                    <asp:Repeater ID="rptCustomUrls" runat="server">
                        <ItemTemplate>
                            <tr>
                                <td>
                                    <a href="<%#((UrlData)Container.DataItem).GetRequestUrlHref() %>" title="<%#((UrlData)Container.DataItem).GetTitle(ViewModel.PatternLinkWarning) %>" onclick="<%# ((UrlData)Container.DataItem).GetOnClickJs() %>" target="_blank">
                                        <%# ((UrlData)Container.DataItem).RequestUrl%>
                                    </a>
                                </td>
                                <td><%# ((UrlData)Container.DataItem).RedirectUrl%></td>
                                <td><img src="<%# GetLanguageIcon(((UrlData)Container.DataItem).Language)%>"/> <%# GetLang(ViewModel.LanguageTranslations, ((UrlData)Container.DataItem).Language) %></td>
                                <td><%#AdminManager.GetRelativeEditPopupLink(Container.DataItem, ViewModel.HeadingEdit, true)%></td>
                                <td class="custDelete"><EPiServerUI:ToolButton ID="ToolButton1" Enabled="<%# ((UrlData)Container.DataItem).CustomSetting %>" 
                                    OnCommand="btnRemoveClick" CommandArgument="<%# ((UrlData)Container.DataItem).ObjectId %>" ToolTip="<%# ViewModel.HeadingDelete %>"
                                    OnClientClick="<%# ViewModel.AreYouSure %>" CssClassInnerButton="epi-cmsButton-tools epi-cmsButton-Delete btnRemove" runat="server" />
                                </td>
                                <td class="cB"><input type="checkbox" name="cb<%# ((UrlData)Container.DataItem).ObjectId %>" /></td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                </table>
                <div id="pager">
                   <asp:Repeater ID="rptPaging" OnItemCommand="ItemCommand" runat="server">
                      <ItemTemplate>
                         <asp:LinkButton ID="lbP" CommandArgument="<%# Container.DataItem %>" Text="<%# Container.DataItem %>" runat="server"></asp:LinkButton>
                      </ItemTemplate>
                   </asp:Repeater>
                </div>
                <div style="clear:both;">
                    <%= ViewModel.HitsText %>
                </div>
            </section>
        </div>
    </div>
    <script type="text/javascript">
        $(document).ready(function () {
            $('.allCB').change(function () {
                $("td.cB input").prop('checked', $(this).prop("checked"));
                if ($(this).prop("checked")) {
                    $(this).prop('title', "<%= ViewModel.UnCheckAll %>");
                }
                else {
                    $(this).prop('title', "<%= ViewModel.CheckAll %>");
                }
            })
        });
    </script>
</asp:content>