﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GoneUrls.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.GoneUrls, Mogul.SeoManager" MasterPageFile="" EnableEventValidation="false" %>
<%@ Import Namespace="Mogul.SeoManager.Logic.Data" %>
<%@ Register Src="UserControls/HeaderRegion.ascx" TagName="HeaderRegion" TagPrefix="uc" %>
<%@ Register Src="UserControls/Header.ascx" TagName="Header" TagPrefix="uc" %>
<%@ Register Src="UserControls/TabNavigation.ascx" TagName="TabNavigation" TagPrefix="uc" %>
<%@ Register Src="UserControls/TableMetaData.ascx" TagName="MetaData" TagPrefix="uc" %>
<%@ Register Src="UserControls/RelatedUrls.ascx" TagName="RelatedUrls" TagPrefix="uc" %>
<%@ Register tagPrefix="EPiServerUI" namespace="EPiServer.UI.WebControls" assembly="EPiServer.UI" %>

<asp:Content ContentPlaceHolderID="HeaderContentRegion" runat="server">
    <uc:HeaderRegion ID="HeaderRegionControl" runat="server"/>
</asp:Content>

<asp:Content ID="ContentMainRegion" ContentPlaceHolderID="FullRegion" runat="server">
    <uc:Header ID="headerControl" runat="server"/>

    <div role="main" class="main">
        <uc:TabNavigation ID="tabNavigationControl" runat="server" />
        <div id="content">
            <section id="urlmanagement">
                <div class="filter">
                    <asp:DropDownList ID="ddFilterLanguages" OnSelectedIndexChanged="ddLanguages_SelectedIndexChanged" AutoPostBack="True" runat="server"/>  
                    <span class="separator">&nbsp;&nbsp;</span>
                    <asp:TextBox ID="txtFilter" CssClass="long" runat="server"/>
                    <asp:Button ID="btnFilter" OnClick="btnFilter_click" runat="server"/>
                    <span class="separator">&nbsp;&nbsp;</span>
                    <asp:Button ID="btnDeleteAll" OnClick="btnDeleteAll_Click" runat="server" />
                    <span class="separator">&nbsp;&nbsp;</span>
                    <asp:Button ID="btnDeleteAllLanguage" OnClick="btnDeleteAllLanguage_Click" runat="server" />
                </div>  
                <table class="seoTabList editable expandable" cellspacing="0" cellpadding="0">
                    <tr>
                        <th><%=ViewModel.UrlText%></th>
                        <th><%=ViewModel.MetaDataText%></th> 
                        <th class="language"><%= ViewModel.HeadingLanguage %></th>
                        <th class="edit"><%= ViewModel.EditButtonText %></th>
						<th class="edit"><%= ViewModel.RedirectText %></th>
                        <th class="edit"><%= ViewModel.HeadingDelete %></th>
                        <th class="tdDC">
			                <asp:Button ID="btnDeleteChecked" runat="server" OnClick="btnDeleteChecked_Click" CssClass="btnCDel" Text="" />
                            <input type="checkbox" class="allCB" name="allCB" title="<%= ViewModel.CheckAll %>"  />
                        </th>
                    </tr>
                    <asp:Repeater ID="rptGoneUrls" OnItemDataBound="ItemDataBound" runat="server">
                        <ItemTemplate>
                            <tr>
                                <td class="url">
                                    <div class="url"><a href="<%# ((UrlData)Container.DataItem).RequestUrl %>" target="_blank"><%# ((UrlData)Container.DataItem).RequestUrl%></a></div>
                                    <uc:RelatedUrls ID="RelatedUrlsControl" runat="server"/>
                                </td>
                                <td><uc:MetaData ID="MetaDataControl" runat="server"/></td>
                                <td><img src="<%# GetLanguageIcon(((UrlData)Container.DataItem).Language)%>"/> <%# GetLang(ViewModel.LanguageTranslations, ((UrlData)Container.DataItem).Language) %></td>
                                <td class="editGone"><a href="EditMetaData.aspx?urlid=<%# ((UrlData)Container.DataItem).ObjectId %>&urltype=410" class="editNotFound" title="<%# ViewModel.EditButtonText %>" /></td>
                                <td class="editGone"> <%#AdminManager.GetRelativeEditPopupLink(Container.DataItem,ViewModel.HeadingEdit,true)%></td>
                                <td class="custDelete"><EPiServerUI:ToolButton OnCommand="btnRemoveClick" CommandArgument="<%# ((UrlData)Container.DataItem).ObjectId %>" ToolTip="<%#ViewModel.HeadingDelete %>"
                                OnClientClick="<%# ViewModel.AreYouSure %>" CssClassInnerButton="epi-cmsButton-tools epi-cmsButton-Delete btnRemove" runat="server" /></td>
                                <td class="cB"><input type="checkbox" name="cb<%# ((UrlData)Container.DataItem).ObjectId %>" /></td>
                            </tr>   
                        </ItemTemplate>
                    </asp:Repeater>
                </table>
                <div id="pager">
                    <asp:Repeater ID="rptPaging" OnItemCommand="ItemCommand" runat="server">
                        <ItemTemplate>
                            <asp:LinkButton ID="lbP" CommandArgument="<%# Container.DataItem %>" Text="<%#Container.DataItem %>" runat="server"></asp:LinkButton>
                        </ItemTemplate>
                    </asp:Repeater>
                </div>
                <div style="clear:both;"><%= ViewModel.HitsText %></div>
            </section>
        </div>
    </div>
    <script type="text/javascript">
        $(document).ready(function () {
            $('.allCB').change(function () {
                $("td.cB input").prop('checked', $(this).prop("checked"));
                if ($(this).prop("checked")) {
                    $(this).prop('title', "<%= ViewModel.UnCheckAll %>");
                }
                else {
                    $(this).prop('title', "<%= ViewModel.CheckAll %>");
                }
            })
        });
    </script>
</asp:Content>