﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="LicenseAndSettings.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.LicenseAndSettings, Mogul.SeoManager" MasterPageFile="" %>
<%@ Register Src="UserControls/HeaderRegion.ascx" TagName="HeaderRegion" TagPrefix="uc" %>
<%@ Register Src="UserControls/Header.ascx" TagName="Header" TagPrefix="uc" %>
<%@ Register Src="UserControls/TabNavigation.ascx" TagName="TabNavigation" TagPrefix="uc" %>

<asp:Content ContentPlaceHolderID="HeaderContentRegion" runat="server">
    <uc:HeaderRegion ID="HeaderRegionControl" runat="server"/>
</asp:Content>

<asp:Content ID="ContentMainRegion" ContentPlaceHolderID="FullRegion" runat="server">
    <uc:Header ID="headerControl" runat="server"/>
    <script type="text/javascript">
        var prm = Sys.WebForms.PageRequestManager.getInstance();
        prm.add_initializeRequest(InitializeRequest);
        prm.add_endRequest(EndRequest);
        var postBackElement;
        function InitializeRequest(sender, args) {
            $(".disable").attr('disabled', 'disabled');
        }
        function EndRequest(sender, args) {
        }
    </script>
    <div role="main" class="main">
        <uc:TabNavigation ID="tabNavigationControl" runat="server" />
        <ul id="tabs" class="clearfix">
           <li class="selected"><a href="#/treeview" title="<%= ViewModel.LicenseTabText %>"><%= ViewModel.LicenseTabText %></a></li>
           <li><a href="#/tableview" title="<%= ViewModel.SettingsTabText %>"><%= ViewModel.SettingsTabText %></a></li>
           <li><a href="#/expview" title="<%= ViewModel.ExpTabText %>"><%= ViewModel.ExpTabText %></a></li>
        </ul>
        <div id="content">
            <section id="treeview" class="clearfix license">
                <asp:ScriptManager runat="server" AsyncPostBackTimeout="300" />
                <asp:UpdatePanel ID="updPanel" runat="server">
                    <Triggers>
                        <asp:AsyncPostBackTrigger ControlID="btnLaunch" runat="server" EventName="Click" />
                        <asp:AsyncPostBackTrigger ControlID="btnDelete" runat="server" EventName="Click"/>
                    </Triggers>
                    <ContentTemplate>
                        <strong><%= ViewModel.LicenseHeading %></strong>
                        <p><%= ViewModel.LaunchSEOManagerText%></p>
                        <p><asp:Label runat="server" ID="ResultLabel" /></p>
                        <div class="filter">
                            <asp:Button ID="btnLaunch" CssClass="disable" runat="server" OnClick="ActivateSeoManager" />
                            <asp:Button ID="btnDelete" CssClass="disable" runat="server" OnClick="DeleteSiteUrls" />
                        </div>
                        <p><asp:Label runat="server" ID="UserMessage" CssClass="successMessage"/></p>
                    </ContentTemplate>
                </asp:UpdatePanel>
                <asp:UpdateProgress ID="updProgress" AssociatedUpdatePanelID="updPanel" runat="server">
                    <ProgressTemplate>
                        <img src="img/ajax-loader.gif" alt="ajax-loader"/>
                    </ProgressTemplate>        
                </asp:UpdateProgress>
                <hr />
                <strong><%= ViewModel.LicenseInfoText%></strong>
                <table class="tblSettings" cellpadding="0" cellspacing="0">
                    <tr><td class="tdLeft"><%= ViewModel.LicenseCustomer%></td><td><%= ViewModel.LicenseCustomerValue%></td></tr>
                    <tr><td class="tdLeft"><%= ViewModel.LicenseID%></td><td><%= ViewModel.LicenseIDValue%></td></tr>
                    <tr><td class="tdLeft"><%= ViewModel.LicenseDate%></td><td><%= ViewModel.LicenseDateValue%></td></tr>
                    <tr><td class="tdLeft"><%= ViewModel.ExpiryDate%></td><td><%= ViewModel.ExpiryDateValue%><span class='<%=ViewModel.ExpClass %>'><%=ViewModel.ExpiryInfo %></span></td></tr>
                    <tr><td class="tdLeft"><%= ViewModel.LicenseVersion%></td><td><%= ViewModel.LicenseVersionValue%></td></tr>
                    <tr><td class="tdLeft"><%= ViewModel.SEOManagerVersion%></td><td><%= ViewModel.SEOManagerVersionValue %></td></tr>
                </table>
                <asp:Label ID="lblError" runat="server" ForeColor="Red" />
            </section>
            <section id="tableview">
                <strong><%= ViewModel.SettingsHeading %></strong>
                
                <p><asp:Label runat="server" ID="SaveResultLabel" CssClass="successMessage"></asp:Label></p>
                
                <div id="tblSettingsView">
                    <table class="tblSettings" cellpadding="0" cellspacing="0">
                        <tr><td class="tdLeft"><%= ViewModel.UseAlternateLanguageUrls%></td><td><%= ViewModel.UseAlternateLanguageUrlsValue%></td></tr>
                        <tr><td class="tdLeft"><%= ViewModel.FileNotFound%></td><td><%= ViewModel.FileNotFoundValue%></td></tr>
                        <tr><td class="tdLeft"><%= ViewModel.FileGone%></td><td><%= ViewModel.FileGoneValue%></td></tr>
                      
                        <tr><td class="tdLeft"><%= ViewModel.RegExUrlPatternCacheTimeout%></td><td><%= ViewModel.RegExUrlPatternCacheTimeoutValue%></td></tr>
                        <tr><td class="tdLeft"><%= ViewModel.IgnoredUrls%></td><td>
                        <asp:Repeater ID="rptIgnoredUrls" runat="server">
                            <ItemTemplate>
                                <%# Container.DataItem.ToString() %><br />
                            </ItemTemplate>
                        </asp:Repeater></td></tr>
                        <tr><td class="tdLeft"><%= ViewModel.IgnoredPatterns%></td><td>
                        <asp:Repeater ID="rptIgnoredPatterns" runat="server">
                            <ItemTemplate>
                                <%# Container.DataItem.ToString() %><br />
                            </ItemTemplate>
                        </asp:Repeater></td></tr>
                        <tr><td class="tdLeft"><%= ViewModel.InvalidCharsRegexPattern%></td><td><%= ViewModel.InvalidCharsRegexPatternValue%></td></tr>
                        <tr><td class="tdLeft"><%= ViewModel.InvalidCharsToRemoveRegexPattern%></td><td><%= ViewModel.InvalidCharsToRemoveRegexPatternValue%></td></tr>
                        <tr><td class="tdLeft"><%= ViewModel.ReplacementChar%></td><td><%= ViewModel.ReplacementCharValue%></td></tr>
                        <tr><td class="tdLeft"><%= ViewModel.UseEPiServerDefaultUrlFormatLabel %></td><td><%= ViewModel.UseEPiServerDefaultUrlFormat%></td></tr>
                        <tr><td class="tdLeft"><%= ViewModel.EnableCanonicalLinkInMVCLabel %></td><td><%= ViewModel.EnableCanonicalLinkInMVC %></td></tr>
                        <tr><td class="tdLeft"><%= ViewModel.AllowOverridingLabel %></td><td><%= ViewModel.AllowOverriding %></td></tr>
                        <tr><td colspan="2"><i><%= ViewModel.RequiresRestart %></i></td></tr>
                    </table>
        		    <div class="filter">
        		        <input type="button" id="edit-settings" value="<%= ViewModel.EditSettings%>" title="<%= ViewModel.EditSettings%>"/>
				    </div>
                </div>
                <div id="tblSettingsEdit" class="hidden">
                    
                    <table cellpadding="0" cellspacing="0" class="tblSettings">
                        <tr>
                            <td class="tdLeft"><%= ViewModel.UseAlternateLanguageUrls%></td>
                            <td>
                                <asp:RadioButtonList runat="server" ID="useAlternateLangUrlsRadioButtonList" RepeatDirection="Horizontal" />
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.FileNotFound%></td>
                            <td>
                                <asp:TextBox runat="server" ID="fileNotFoundTextBox"  ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="fileNotFoundTextBox" ID="fileNotFoundReqVal"
                                    ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.FileGone%></td>
                            <td>
                                <asp:TextBox runat="server" ID="fileGoneTextBox"  ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="fileGoneTextBox" ID="fileGoneReqVal" 
                                    ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.RegExUrlPatternCacheTimeout %></td>
                            <td>
                                <asp:TextBox runat="server" ID="regExUrlPatternCacheTimeoutTextBox"  ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="regExUrlPatternCacheTimeoutTextBox" ID="regExUrlPatternCacheTimeoutReqVal" ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft">
                                <%= ViewModel.IgnoredUrls%>
                            </td>
                            <td>
                                <table>
                                    <tr>
                                        <td><input name="AddIgnoredUrlsTextBox" type="text" value="" class="episize240" /></td>
                                        <td><asp:LinkButton runat="server"  ID="AddIgnoredUrlLinkButton" OnClick="AddIgnoredLinkButton_OnClick" 
                                                CssClass="addButtonX" Text="." /></td>
                                    </tr>
                                    <asp:Repeater ID="rptEditIgnoredUrls" runat="server">
                                        <ItemTemplate>
                                            <tr>
                                                <td>
                                                    <input type="text" name="IgnoredUrls<%# Container.ItemIndex%>" value="<%# Container.DataItem %>" class="episize240"/>
                                                </td>
                                                <td><asp:LinkButton CssClass="deleteButtonX" Text="." OnCommand="DeleteIgnoredUrls" CommandArgument="<%# Container.ItemIndex %>"
                                                        ToolTip="<%#ViewModel.DeleteToolTip %>" runat="server" CausesValidation="False" /></td>
                                            </tr>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.IgnoredPatterns%></td>
                            <td>
                                <table>
                                    <tr>
                                        <td>
                                            <input name="AddIgnoredPatternNameTextBox" type="text" value="" class="episize240"/>
                                        </td>
                                        <td>
                                            <input name="AddIgnoredPatternValueTextBox" type="text" value="" class="episize240"/>
                                        </td>
                                        <td><asp:LinkButton runat="server" ID="AddIgnoredPatternLinkButton" OnClick="AddIgnoredPatternLinkButton_OnClick"  CssClass="addButtonX" Text="." /></td>
                                    </tr>
                                    <asp:Repeater ID="rptEditIgnoredPatterns" runat="server">
                                        <ItemTemplate>
                                            <tr>
                                                <td>
                                                    <input type="text" name="IgnoredPatternName<%# Container.ItemIndex%>" value="<%# ((KeyValuePair<string, string>)Container.DataItem).Key %>" class="episize240"/>
                                                </td>
                                                <td>
                                                    <input type="text" name="IgnoredPatternValue<%# Container.ItemIndex%>" value="<%# ((KeyValuePair<string, string>)Container.DataItem).Value %>" class="episize240"/>
                                                </td>
                                                <td><asp:LinkButton CssClass="deleteButtonX" Text="." OnCommand="DeleteIgnoredPatterns" CommandArgument="<%# Container.ItemIndex %>"
                                                        ToolTip="<%#ViewModel.DeleteToolTip %>" runat="server" CausesValidation="False" /></td>
                                            </tr>
                                        </ItemTemplate>
                                    </asp:Repeater>               
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.InvalidCharsRegexPattern %></td>
                            <td>
                                <asp:TextBox runat="server" ID="tbInvalidCharsRegexPattern" ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="tbInvalidCharsRegexPattern" ID="rfvInvalidCharsRegexPattern" ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.InvalidCharsToRemoveRegexPattern %></td>
                            <td>
                                <asp:TextBox runat="server" ID="tbInvalidCharsToRemoveRegexPattern" ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="tbInvalidCharsToRemoveRegexPattern" ID="rfvInvalidCharsToRemoveRegexPattern" ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.UseEPiServerDefaultUrlFormatLabel%></td>
                            <td>
                                <asp:RadioButtonList runat="server" ID="rblUseDefaultUrlFormat" RepeatDirection="Horizontal" />
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.EnableCanonicalLinkInMVCLabel %></td>
                            <td>
                                <asp:RadioButtonList runat="server" ID="rblEnableCanonicalLinkInMVC" RepeatDirection="Horizontal" />
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.AllowOverridingLabel %></td>
                            <td>
                                <asp:RadioButtonList runat="server" ID="rblAllowOverriding" RepeatDirection="Horizontal" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"><i><%= ViewModel.RequiresRestart %></i></td>
                        </tr>
                    </table>
                    <div class="filter">
			            <asp:Button runat="server" ID="SaveSettings" OnClick="SaveSettings_OnClick" CausesValidation="True" ValidationGroup="Save" />
                    </div>
                </div>
            </section>
            <section id="expview">
	           <div class="filter">
			        <asp:Button runat="server" ID="btnExport" OnClick="btnExport_OnClick" />
			        <hr />
	           </div>
	           <div class="filter">
                    <label><%= ViewModel.UseIt %></label><br/>
                    <asp:FileUpload ID="fileUpload" runat="server" /><br/>
                    <asp:Button runat="server" ID="btnImport" OnClick="btnImport_OnClick" OnClientClick="$('img.ajax').css('visibility','visible');return true;" /><br /><br />
                    <asp:Label ID="lblMessage" runat="server" /><br/><img class="ajax" src="img/ajax-loader2.gif">
	           </div>
            </section>
        </div>
    </div>
    <footer></footer>
</asp:Content>