<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SiteTree.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.SiteTree, Mogul.SeoManager"%>
<%@ Register Src="UserControls/HeaderRegion.ascx" TagName="HeaderRegion" TagPrefix="uc" %>
<%@ Register Src="UserControls/Header.ascx" TagName="Header" TagPrefix="uc" %>
<%@ Register Src="UserControls/TabNavigation.ascx" TagName="TabNavigation" TagPrefix="uc" %>
<%@ Register Src="UserControls/PagePicker.ascx" TagName="PagePicker" TagPrefix="uc" %>

<asp:Content ContentPlaceHolderID="HeaderContentRegion" runat="server">
    <uc:HeaderRegion ID="HeaderRegionControl" runat="server"/>
</asp:Content>

<asp:Content ID="ContentMainRegion" ContentPlaceHolderID="FullRegion" runat="server">
    <uc:Header ID="headerControl" runat="server"/>
    <div role="main" class="main">
        <uc:TabNavigation ID="tabNavigationControl" runat="server" />
        <ul id="tabs" class="clearfix">
           <li class="selected"><a href="#/treeview" title="tab description"><%= ViewModel.TreeViewText %></a></li>
        </ul>
        <div id="content">
            <asp:PlaceHolder ID="phContent" runat="server">
                <section id="treeview" class="clearfix">
                    <div class="treeframe">
                        <asp:DropDownList ID="ddFilterLanguages" AutoPostBack="True" OnSelectedIndexChanged="ddFilterLanguages_SelectedIndexChanged" runat="server"/>
                        <hr/>
                        <uc:PagePicker ID="PagePicker" runat="server" />
                    </div>
                    <div class="treedetails">
                        <h3></h3><img src="img/ajax-loader2.gif" class="ajax" />
                        <table class="seoTabList editable" cellspacing="0" cellpadding="0">
                            <tr>
                                <th><%= ViewModel.HeadingCurrentUrl %></th>
                                <th class="statLang"><%= ViewModel.HeadingSitemapInclude %></th>
                                <th class="statLang"><%= ViewModel.HeadingStatusCode %></th>
                            </tr>
                            <tr>
                                <td><a id="aSNU" href="" target="_blank"></a></td>
                                <td id="tdSNEFS"></td>
                                <td id="tdSNUT"><%= ViewModel.SelectedNodeUrlType %></td>
                            </tr>   
                        </table>
                        <table class="seoTabList editable" cellspacing="0" cellpadding="0" id="tblAlURLs">
                            <tbody>
                                <tr>
                                    <th><%= ViewModel.HeadingAlternateUrls %></th>
                                    <th class="statLang"><%= ViewModel.HeadingLanguage %></th>
                                </tr>
                            </tbody>
                        </table>
                        <table class="seoTabList editable" cellspacing="0" cellpadding="0" id="tblCanURLs">
                           <tbody>
                              <tr>
                              	<th><%= ViewModel.HeadingCanonicalUrls %></th>
                                <th class="statLang"><%= ViewModel.HeadingLanguage %></th>
                                <th class="edit"><%= ViewModel.HeadingDelete %></th>
                              </tr>
                           </tbody>
                        </table>
                        <table class="seoTabList editable" cellspacing="0" cellpadding="0" id="tblPrevURLs">
                            <tbody>
                              <tr>
                                <th><%= ViewModel.HeadingPreviousUrls %></th>
                                <th class="statLang"><%= ViewModel.HeadingStatusCode %></th>
                                <th class="edit"><%= ViewModel.HeadingDelete %></th>
                              </tr>                        
                           </tbody>
                        </table>
                    </div>
                </section>
            </asp:PlaceHolder>
        </div>
    </div>
    <footer>
       <script type="text/javascript">
           function delURL(obj, msg) {
               if (window.confirm(msg)) {
                   $("img.ajax").css('visibility', 'visible');
                   $.ajax({
                       type: "POST",
                       url: "SiteTree.aspx/DeleteUrlData",
                       data: '{ urlId: "' + obj.id + '"}',
                       contentType: "application/json; charset=utf-8",
                       dataType: "json",
                       success: function (msg) {
                           $("#tr" + obj.id).remove();
                           $("img.ajax").css('visibility', 'hidden');
                       }
                   });
               }
           }

           $(function () {
               $('#jstree').on('changed.jstree', function (e, data) {
                   var lang = $("select[id*='Lang']").val();
                   $("img.ajax").css('visibility', 'visible');
                   $.ajax({
                       cache: false,
                       type: "POST",
                       url: "SiteTree.aspx/GetSelectedNodeInformation",
                       data: '{ nodeId: "' + data.node.id + '", language: "' + lang + '"}',
                       contentType: "application/json; charset=utf-8",
                       dataType: "json",
                       success: function (msg) {
                           $("div.treedetails h3").html(data.node.text);
                           $("#aSNU").attr("href", msg.d.SelectedNodeUrl);
                           $("#aSNU").text(msg.d.SelectedNodeUrl);
                           $("#tdSNUT").text(msg.d.SelectedNodeUrlType);
                           if (msg.d.SelectedNodeExcludeFromSitemap) {
                               $("#tdSNEFS").html("");
                           }
                           else {
                               $("#tdSNEFS").html("<img src='/App_Themes/Default/Images/Tools/Check.gif'/>");
                           }
                           $("#tblAlURLs").find("tr:gt(0)").remove();
                           if (msg.d.SelectedNodeAlternateUrls.length > 0) {
                               for (var i = 0; i < msg.d.SelectedNodeAlternateUrls.length; i++) {
                                   var url = msg.d.SelectedNodeAlternateUrls[i];
                                   $("#tblAlURLs tbody").append("<tr><td><a href='" + url.RequestUrl +
                                       "' target='_blank'>" + url.RequestUrl + "</a></td><td>" +
                                       url.Language + "</td></tr>");
                               }
                           }
                           else {
                               $("#tblAlURLs tbody").append("<tr><td></td><td></td></tr>");
                           }
                           $("#tblCanURLs").find("tr:gt(0)").remove();
                           if (msg.d.SelectedNodeCanonicalUrls.length > 0) {
                               for (var i = 0; i < msg.d.SelectedNodeCanonicalUrls.length; i++) {
                                   var url = msg.d.SelectedNodeCanonicalUrls[i];
                                   $("#tblCanURLs tbody").append("<tr id='tr" + url.ObjectId + "'><td><a href='" +
                                        url.RequestUrl + "' target='_blank'>" +
                                        url.RequestUrl + "</a></td><td>" + url.Language +
                                        "</td><td class='custDelete'>" + (url.CustomSetting ?
                                        "<span class='epi-cmsButton'><input id='" + url.ObjectId +
                                        "' type='button' title='" + msg.d.HeadingDelete +
                                        "' class='epi-cmsButton-tools epi-cmsButton-Delete btnRemove' onclick='delURL(this, " +
                                        msg.d.AreYouSure + ")' /></span>" : "") + "</td></tr>");
                               }
                           }
                           else {
                               $("#tblCanURLs tbody").append("<tr><td></td><td></td><td></td></tr>");
                           }
                           $("#tblPrevURLs").find("tr:gt(0)").remove();
                           if (msg.d.SelectedNodePreviousUrls.length > 0) {
                               for (var i = 0; i < msg.d.SelectedNodePreviousUrls.length; i++) {
                                   var url = msg.d.SelectedNodePreviousUrls[i];
                                   $("#tblPrevURLs tbody").append("<tr id='tr" + url.ObjectId + "'><td><a href='" +
                                        url.RequestUrl + "' target='_blank'>" +
                                        url.RequestUrl + "</a></td><td>" + url.HttpStatus +
                                        "</td><td class='custDelete'><span class='epi-cmsButton'><input id='" + url.ObjectId +
                                        "' type='button' title='" + msg.d.HeadingDelete +
                                        "' class='epi-cmsButton-tools epi-cmsButton-Delete btnRemove' onclick='delURL(this, " +
                                        msg.d.AreYouSure + ")' /></span></td></tr>");
                               }
                           }
                           else {
                               $("#tblPrevURLs tbody").append("<tr><td></td><td></td><td></td></tr>");
                           }
                           $("img.ajax").css('visibility', 'hidden');
                       }
                   });
               });
           })
	    </script>
    </footer>
</asp:Content>