﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UrlTab.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.UrlTab, Mogul.SeoManager" EnableViewState="true" %>

<%@ Import Namespace="EPiServer.Shell" %>
<%@ Import Namespace="Mogul.SeoManager.Logic.Data" %>
<%@ Import Namespace="Mogul.SeoManager.modules.MogulSeoUrl" %>
<%@ Register TagPrefix="EPiServerUI" Namespace="EPiServer.UI.WebControls" Assembly="EPiServer.UI" %>


<asp:Content ContentPlaceHolderID="HeaderContentRegion" runat="server">
    <title>URLs</title>
    <link rel="stylesheet" href="<%#  Paths.ToResource(typeof(UrlData), "modules/MogulSeoUrl/css/gadgetStyle.css?v=1.06")%>" />
    <script type="text/javascript" src="<%#  Paths.ToResource(typeof(UrlData), "modules/MogulSeoUrl/js/libs/jquery-1.9.1.min.js")%>"></script>
    <script type="text/javascript" src="<%#  Paths.ToResource(typeof(UrlData), "modules/MogulSeoUrl/js/plugins.js?v=1.4")%>"></script>
    <script type="text/javascript" src="<%#  Paths.ToResource(typeof(UrlData), "modules/MogulSeoUrl/js/tabScript.js")%>"></script>
</asp:Content>

<asp:Content ContentPlaceHolderID="FullRegion" runat="server">
    <asp:PlaceHolder runat="server" ID="phUnsupportedContentType" Visible="False">
        <div class="epi-contentContainer epi-padding">
            <span class="warning-message"><%= ViewModel.UnsupportedContentTypeMessage %></span>
        </div>
    </asp:PlaceHolder>
    <asp:PlaceHolder runat="server" ID="phUrlInfoForPage">
        <div class="epi-contentContainer epi-padding">
            <asp:Panel ID="pnlLicense" runat="server" CssClass="licenseMessage" Visible="false">
                <%= errorMessage %>
            </asp:Panel>
            <asp:Panel ID="pnlUrlsNotGenerated" runat="server" CssClass="treeNotGeneratedMessage" Visible="False">
                <%= ViewModel.SiteTreeNotGeneratedErrorMessage %>
            </asp:Panel>
            <div class="treedetails">
                <%--<h1><%= ViewModel.Headline %></h1>--%>
                <%--Master urls--%>
                <table class="seoTabList editable" cellspacing="0" cellpadding="0">
                    <tr>
                        <th><%= ViewModel.MasterUrlText %> (200)</th>
                        <%--<th class="lang"><%= ViewModel.SitemapIncludeText %></th>--%>
                        <th class="lang">&nbsp;</th>
                        <th class="lang">&nbsp;</th>
                    </tr>
                    <% foreach (var url in ViewModel.MasterUrls)
                        { %>
                    <tr>
                        <td><a href="<%= url.RequestUrl %>" title="<%= url.RequestUrl %>" target="_blank"><%= url.RequestUrl %></a></td>
                        <td><%= (url.ExcludeFromSitemap != true) ? "<img src='/App_Themes/Default/Images/Tools/Check.gif' title='" + ViewModel.SitemapIncludeText + "'/>" : String.Empty%></td>
                        <td> <img src="<%= GetLanguageIcon(url.Language)%>" title="<%= ViewModel.LanguageTranslations.Get(url.Language) %>" /></td>
                    </tr>
                    <% } %>
                </table>

                <%--Canonical urls--%>
                <table class="seoTabList button editable" cellspacing="0" cellpadding="0">
                    <tr>
                        <th><%= ViewModel.CanonicalUrlText %> (200)</th>
                        <th><%= ViewModel.CanonicalAddressText %></th>
                        <th class="lang">&nbsp;</th>
                        <th class="edit">&nbsp;</th>
                    </tr>
                    <asp:Repeater ID="rptCanonicalUrls" runat="server">
                        <ItemTemplate>
                            <tr>
                                <td><a href="<%# ((UrlData)Container.DataItem).RequestUrl%>" title="<%# ((UrlData)Container.DataItem).RequestUrl%>" target="_blank"><%# ((UrlData)Container.DataItem).RequestUrl%></a></td>
                                <td><%# ((UrlData)Container.DataItem).PreviousUrls != null && ((UrlData)Container.DataItem).PreviousUrls.Count > 0 ? ((UrlData)Container.DataItem).PreviousUrls[0].RequestUrl : "&nbsp;" %></td>
                                <td> <img src="<%# GetLanguageIcon(((UrlData)Container.DataItem).Language)%>" title="<%# ((UrlData)Container.DataItem).GetLanguageTitle(ViewModel.LanguageTranslations) %>" /></td>
                                <td>
                                    <EPiServerUI:ToolButton ID="ToolButton1"
                                        Visible="<%# ((UrlData)Container.DataItem).CustomSetting && LicenseOK %>"
                                        OnCommand="btnRemoveClick" OnClientClick="<%# ViewModel.AreYouSure %>"
                                        ToolTip="<%#ViewModel.DeleteText %>"
                                        CommandArgument="<%# ((UrlData)Container.DataItem).ObjectId %>"
                                        CssClassInnerButton="epi-cmsButton-tools epi-cmsButton-Delete btnRemove"
                                        runat="server" title="Delete"
                                        Enabled="<%# !ViewModel.DisableCanonicalUrl %>" 
                                        CausesValidation="False" />
                                </td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                </table>
                <EPiServerUI:ToolButton ID="btnAddCanonicalUrl" CssClassInnerButton="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-tools1 epi-cmsButton-Create btnAddCanonicalUrl" runat="server" />

                <!--Previous urls-->
                <table class="seoTabList last editable" cellspacing="0" cellpadding="0">
                    <tr>
                        <th><%= ViewModel.PreviousUrlText%> (301)</th>
                        <th><%= ViewModel.RedirectToText%></th>
                        <th class="lang">&nbsp;</th>
                    </tr>
                    <% 
                        if (ViewModel.PreviousUrls != null && ViewModel.PreviousUrls.Count != 0)
                        {
                            foreach (var url in ViewModel.PreviousUrls)
                            { %>
                    <tr>
                        <td>
                            <a href="<%= (url.RequestUrl.StartsWith("^") == false) ? url.RequestUrl : "#" %>" title="<%= (url.RequestUrl.StartsWith("^") == false) ? String.Empty : ViewModel.PatternLinkWarning  %>" onclick="<%= (url.RequestUrl.StartsWith("^") == false) ? String.Empty : "return false;" %>" target="_blank">
                                <%= url.RequestUrl%>
                            </a>
                        </td>
                        <td><a href="<%= url.RedirectUrl%>" target="_blank"><%= url.RedirectUrl%></a></td>
                        <td> <img src="<%= GetLanguageIcon(url.Language)%>" title="<%= ViewModel.LanguageTranslations.Get(url.Language) %>" /></td>
                    </tr>
                    <%      }
                    } %>
                </table>
            </div>

            <asp:Panel class="editPop" DefaultButton="btnSaveUrl" runat="server">
                <h3><%= ViewModel.ModalHeadline %></h3>
                <hr />
                <p><%= ViewModel.ModalDesc %></p>
                <div class="filter">
                    <p>
                        <asp:TextBox runat="server" ID="txtRequestUrl" ClientIDMode="Static"></asp:TextBox>
                        <asp:RequiredFieldValidator runat="server"
                            ID="resultUrlReqVal" CssClass="validation-message"
                            ControlToValidate="txtRequestUrl" ClientIDMode="Static" Display="Dynamic">
                        </asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator runat="server"
                            ID="resultUrlRegexVal" CssClass="validation-message"
                            ControlToValidate="txtRequestUrl" Display="Dynamic">
                        </asp:RegularExpressionValidator>
                        <br/><br/>
                        <asp:DropDownList ID="ddlLanguage" runat="server" EnableViewState="true" />
                    </p>
                    <p><asp:Button ID="btnSaveUrl" runat="server" OnClick="btnSaveUrlClick"
                        UseSubmitBehavior="True" CausesValidation="True" /></p>
                </div>
            </asp:Panel>
        </div>
    </asp:PlaceHolder>
    <script type="text/javascript">
        var reloadOnContextChange = function () {
            // Check that there is a parent available and it got dijit loaded
            if (parent && parent.dijit) {
                // Get all iFrames in the document
                var iframes = parent.document.getElementsByTagName("IFRAME");
                for (var i = 0; i < iframes.length; i++) {
                    if (iframes[i].contentWindow === window) {
                        // Get the dijit widget
                        var component = window.parent.dijit.byId(iframes[i].id);
                        if (component) {
                            component.reloadOnContextChange = true;
                            component.contextChanged = function (newContext) {
                                if (!newContext) {
                                    return;
                                }
                                window.location.href = component.urlTemplate + "?uri=" + newContext.uri + "&id=" + newContext.id;
                            }
                        }
                        break;
                    }
                }
            }
        };
        reloadOnContextChange();
    </script>
</asp:Content>